Summary:     exchange data with Siemens mobile phones
Summary(de): Datenaustausch mit Siemens-Handys
Summary(it): Scambia dati con telefonini Siemens
Name:        scmxx
Version:     0.9.0
Release:     1
Group:       console
License:     GPL
Vendor:      Hendrik Sattler <post@hendrik-sattler.de>
Url:         http://www.hendrik-sattler.de/scmxx
Packager:    Hendrik Sattler <post@hendrik-sattler.de>
Source0:     %{name}-%{version}.tar.bz2
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
 SCMxx is a console program that allows you to exchange certain types of
 data with mobile phones made by Siemens. Some of the data types that can be
 exchanged are logos, ring tones, vCalendars, phonebook entries, and short
 messages. Other actions like setting the time and dialling a number are also
 possible. SCMxx works with the following models:
 S25, S35i, M35i, C35i, SL4x, S45, ME45, C45, M50, MT50 and probably others.
 It basically uses the AT command set published by Siemens  (with some other,
 additional resources).
 See the website %{url} for details.

%description -l de
 SCMxx ist ein Konsolenprogramm das es ermöglicht, bestimmte Daten mit Handys
 von Siemens auszutauschen. Einige der Daten, die transferiert werden können,
 sind Logos, Klingeltöne, vCalendars, Telefonbucheinträge, und
 Kurznachrichten. Andere Aktionen wie das Setzen der Zeit und da Wählen von
 Rufnummer ist ebenso möglich. SCMxx kann mit folgenden Modellen umgehen:
 S25, S35i, M35i, C35i, SL4x, S45, ME45, C45, M50, MT50 und eventuell anderen.
 Es wird hauptsächlich das von Siemens veröffentlichte AT-Kommando-Set
 (zusammen mit anderen, zusätzlichen Resourcen) verwendet.
 Weitere Details finden man auf der Webseite %{url}.

%description -l it
 SCMxx Ã¨ un programma da console che ti permette di scambiare alcuti tipi di
 dati con telefonini Siemens. Questi dati possono essere loghi, suonerie,
 vCalendars, record dell'agenda telefonica e sms. E' anche possibile modificare
 l'ora o comporre un numero. SCMxx funziona con i modelli seguenti:
 S25, S35i, M35i, C35i, SL4x, S45, ME45, C45, M50, MT50 e probabilmente altri.
 Si basa sul set di comandi AT pubblicati da Siemens (e su altre risorse
 aggiuntive).
 Visita il sito %{url} per dettagli.


%prep
%setup -q

%build
%configure
%{__make}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__make} distclean

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGELOG INSTALL README TODO TRANSLATION examples docs/*.txt
%attr(0755,-,-) %{_bindir}/*
%attr(0644,-,-) %{_mandir}/man1/%{name}.1*
%attr(0644,-,-) %{_mandir}/*/man1/%{name}.1*
%attr(0644,-,-) %{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Sat Jan 28 2006 Hendrik Sattler <post@hendrik-sattler.de>
- Change Copyright tag to License tag: this makes it incompatible
  with rpm-3.x but is needed for current rpm
- include all binaries as there is now more than one

* Tue Aug 24 2004 Hendrik Sattler <post@hendrik-sattler.de>
- install all translation of the manpage
- install all gettext files
- reformat and extend description
- add german summary and german description
- use default configure command instead of custom invocation
- remove x-flag from all non-executable files
- remove old url from Source0 field

* Mon Nov 18 2002 Hendrik Sattler <post@hendrik-sattler.de>
- added manpage to package

* Sat Jul 1 2002 Hendrik Sattler <post@hendrik-sattler.de>
- changed defattr, so dirs get their x-flag

* Sat May 14 2002 Hendrik Sattler <post@hendrik-sattler.de>
- extensive usage of environment variables in the spec file
- moved/renamed files in docdir

* Sat Feb 9 2002 Petr Kri¹tof <Petr@Kristof.cz>
- RPM spec update

* Sat Nov 17 2001 Hendrik Sattler <post@hendrik-sattler.de>
- Initial RPM release
